GET DLC Service Loyalty Rewards
GET dlc service loyalty rewards
Headers
- Type: stringX
- Request - I D requiredUnique request identifier
- Type: stringApplicationrequired
Application key
- Type: stringAcceptrequired
Accept header
- Type: stringA
P I -version requiredApi version
- Type: stringAuthorizationrequired
Authorization header
- Type: stringContent
- Language requiredLocal language code (in format xx-XX, or simpler xx) for translation purposes
Responses
- application/json
Request Example for get/dlc-service/loyalty-rewards
curl https://api-public-demo.menu.app/api/dlc-service/loyalty-rewards \
--header 'X-Request-ID: c10b4a70-6274-490d-80a0-03e7bb826937' \
--header 'Application: ' \
--header 'Accept: application/json' \
--header 'API-version: 5.0.0' \
--header 'Authorization: ' \
--header 'Content-Language: en'
{
"status": "OK",
"code": 200,
"data": {
"discounts": [
{
"id": 46168,
"type_id": 2,
"reference_type": "LoyaltyReward",
"brand_id": 0,
"position": 0,
"name": "Reward with cart spent condition",
"description": "Spend 20$ and get 5$ off",
"tracking_code": "string",
"max_redemption_count": 0,
"date_from": "string",
"date_to": "string",
"reduction_type": 0,
"reduction_level_type": 0,
"reduction_price": 0,
"reduction_amount": 0,
"reduction_percentage": 0,
"is_registered_only": true,
"show_only_in_ordering_flow": 0,
"image": {
"fullsize": "https://res.cloudinary.com/punchh/image/upload/c_limit,f_auto,fl_lossy,g_center,q_auto/v1/punchhstatic/redeemables/redeemable_images/000/046/168/original/b63aa56ee7848bbb5ed6b88de9fbcd97e992d228.jpeg",
"thumbnail_medium": "https://res.cloudinary.com/punchh/image/upload/c_limit,f_auto,fl_lossy,g_center,q_auto/v1/punchhstatic/redeemables/redeemable_images/000/046/168/original/b63aa56ee7848bbb5ed6b88de9fbcd97e992d228.jpeg",
"thumbnail_small": "https://res.cloudinary.com/punchh/image/upload/c_limit,f_auto,fl_lossy,g_center,q_auto/v1/punchhstatic/redeemables/redeemable_images/000/046/168/original/b63aa56ee7848bbb5ed6b88de9fbcd97e992d228.jpeg"
},
"channels": {
"type_id": 3,
"reference_type": "DiscountMobileChannel"
},
"discount_tags": [
{}
],
"discount_conditions": [
{}
],
"translations": [
{}
],
"created_at": "\"\"",
"updated_at": "\"\"",
"point_cost": 30
}
]
}
}